/**
 * @file humanseg model
 */
import '@paddlejs/paddlejs-backend-webgl';
export declare function load(needPreheat?: boolean, enableLightModel?: boolean, customModel?: null): Promise<void>;
export declare function preheat(): Promise<any>;
export declare function getGrayValue(input: HTMLImageElement | HTMLVideoElement | HTMLCanvasElement): Promise<{
    width: number;
    height: number;
    data: any;
}>;
/**
 * draw human seg
 * @param {Array} seg_values seg values of the input image
 * @param {HTMLCanvasElement} canvas the dest canvas draws the pixels
 * @param {HTMLCanvasElement} backgroundCanvas the background canvas draws the pixels
 */
export declare function drawHumanSeg(seg_values: number[], canvas: HTMLCanvasElement, backgroundCanvas?: HTMLCanvasElement | HTMLImageElement): void;
/**
 * draw human seg
 * @param {HTMLCanvasElement} canvas the dest canvas draws the pixels
 * @param {Array} seg_values seg_values of the input image
 */
export declare function blurBackground(seg_values: number[], dest_canvas: any): void;
/**
 * draw mask without human
 * @param {Array} seg_values seg_values of the input image
 * @param {HTMLCanvasElement} dest the dest canvas draws the pixels
 * @param {HTMLCanvasElement} canvas background canvas
 */
export declare function drawMask(seg_values: number[], dest: HTMLCanvasElement, canvas: HTMLCanvasElement): void;
//# sourceMappingURL=index.d.ts.map