/**
 * @file humanseg gpu pipeline
 */
interface LoadOptions {
    needPreheat?: boolean;
    enableLightModel?: boolean;
    canvasWidth?: number;
    canvasHeight?: number;
}
export declare function load(options?: LoadOptions): Promise<void>;
export declare function preheat(): Promise<any>;
/**
 * draw human seg
 * @param {HTMLImageElement | HTMLVideoElement | HTMLCanvasElement} input the input image
 * @param {HTMLCanvasElement} canvas the dest canvas draws the pixels
 * @param {HTMLCanvasElement} back background canvas
 */
export declare function drawHumanSeg(input: HTMLImageElement | HTMLVideoElement | HTMLCanvasElement, canvas: HTMLCanvasElement, back?: HTMLCanvasElement): Promise<void>;
/**
 * draw human seg
 * @param {HTMLImageElement | HTMLVideoElement | HTMLCanvasElement} input the input image
 * @param {HTMLCanvasElement} canvas the dest canvas draws the pixels
 */
export declare function blurBackground(input: HTMLImageElement | HTMLVideoElement | HTMLCanvasElement, canvas: HTMLCanvasElement): Promise<void>;
/**
 * draw human mask
 * @param {HTMLImageElement | HTMLVideoElement | HTMLCanvasElement} input the input image
 * @param {HTMLCanvasElement} canvas the dest canvas draws the pixels
 * @param {HTMLCanvasElement} back background canvas
 */
export declare function drawMask(input: HTMLImageElement | HTMLVideoElement | HTMLCanvasElement, canvas: HTMLCanvasElement, back: HTMLCanvasElement): Promise<void>;
export {};
//# sourceMappingURL=index_gpu.d.ts.map